# Uses of Class
org.eclipse.gef.geometry.planar.QuadraticCurve

Packages that use QuadraticCurve
Package
Description
org.eclipse.gef.geometry.planar
This package provides support for geometric calculations based on shapes.

## Uses of QuadraticCurve in org.eclipse.gef.geometry.planar

Methods in org.eclipse.gef.geometry.planar that return QuadraticCurve
Modifier and Type
Method
Description
`QuadraticCurve`
QuadraticCurve.`getCopy()`
Returns a new `QuadraticCurve`, which has the same start, end, and control point coordinates as this one.
`QuadraticCurve`
QuadraticCurve.`getTransformed(AffineTransform t)`
`QuadraticCurve`
QuadraticCurve.`setCtrl(Point ctrl)`
Sets the curve's control point.
`QuadraticCurve`
QuadraticCurve.`setCtrlX(double ctrlX)`
Sets the x-coordinate of the curve's control point.
`QuadraticCurve`
QuadraticCurve.`setCtrlY(double ctrlY)`
Sets the y-coordinate of the curve's control point.
`QuadraticCurve[]`
QuadraticCurve.`split(double t)`
Splits this QuadraticCurve using the de Casteljau algorithm at parameter t into two separate QuadraticCurve objects.
`QuadraticCurve`
BezierCurve.`toQuadratic()`
Returns a hard approximation of this `BezierCurve` as a `QuadraticCurve`.
Constructors in org.eclipse.gef.geometry.planar with parameters of type QuadraticCurve
Modifier
Constructor
Description
``
`BezierCurve(QuadraticCurve c)`
Constructs a new `BezierCurve` from the given `QuadraticCurve`.